#83 Unable to compile with libmp4v2 enabled

open
nobody
5
2011-02-20
2011-02-20
Kyle
No

I'm using the latest svn of mediatomb and the latest svn of libmp4v2 from the project at Google Code. Configure succesfully detects the mp4v2.h and the lack of MP4GetMetadataCoverArtCount in the forked mp4v2. However when I compile with make I get the following when it gets to libmediatomb_a-libmp4v2_handler.o:

g++ -DHAVE_CONFIG_H -I. -I.. -I../tombupnp/upnp/inc -I../src -I../tombupnp/ixml/inc -I../tombupnp/threadutil/inc -I../tombupnp/upnp/inc -I.. -I/usr/include/mysql -DBIG_JOINS=1 -fno-strict-aliasing -DUNIV_LINUX -DUNIV_LINUX -I/usr/include/mozjs -I/usr/include/taglib -pthread -g -O2 -MT libmediatomb_a-libmp4v2_handler.o -MD -MP -MF .deps/libmediatomb_a-libmp4v2_handler.Tpo -c -o libmediatomb_a-libmp4v2_handler.o `test -f '../src/metadata/libmp4v2_handler.cc' || echo './'`../src/metadata/libmp4v2_handler.cc
../src/metadata/libmp4v2_handler.cc: In function ‘void addMetaField(metadata_fields_t, void*, zmm::Ref<CdsItem>)’:
../src/metadata/libmp4v2_handler.cc:77: error: ‘MP4GetMetadataName’ was not declared in this scope
../src/metadata/libmp4v2_handler.cc:80: error: ‘MP4GetMetadataArtist’ was not declared in this scope
../src/metadata/libmp4v2_handler.cc:83: error: ‘MP4GetMetadataAlbum’ was not declared in this scope
../src/metadata/libmp4v2_handler.cc:86: error: ‘MP4GetMetadataYear’ was not declared in this scope
../src/metadata/libmp4v2_handler.cc:98: error: ‘MP4GetMetadataGenre’ was not declared in this scope
../src/metadata/libmp4v2_handler.cc:101: error: ‘MP4GetMetadataComment’ was not declared in this scope
../src/metadata/libmp4v2_handler.cc:104: error: ‘MP4GetMetadataTrack’ was not declared in this scope
../src/metadata/libmp4v2_handler.cc: In member function ‘virtual void LibMP4V2Handler::fillMetadata(zmm::Ref<CdsItem>)’:
../src/metadata/libmp4v2_handler.cc:200: error: ‘MP4GetMetadataCoverArt’ was not declared in this scope
../src/metadata/libmp4v2_handler.cc: In member function ‘virtual zmm::Ref<IOHandler> LibMP4V2Handler::serveContent(zmm::Ref<CdsItem>, int, off_t*)’:
../src/metadata/libmp4v2_handler.cc:258: error: ‘MP4GetMetadataCoverArt’ was not declared in this scope
make[2]: *** [libmediatomb_a-libmp4v2_handler.o] Error 1
make[2]: Leaving directory `/usr/src/mediatomb/build'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/mediatomb'
make: *** [all] Error 2

Attatched is my config.log

Discussion

  • Kyle
    Kyle
    2011-02-20

     
    Attachments
  • Peter Asplund
    Peter Asplund
    2012-04-04

    This problem is starting to hit distributions now since libmp4v2 has been released as version 1.9.1_p479 (at least in Gentoo).
    Bug has been reported for Gentoo here: https://bugs.gentoo.org/show_bug.cgi?id=410235

     

  • Anonymous
    2012-07-30

    Getting similar issues while building from sources on Debian Squeeze.